Debian セキュリティ勧告

DSA-2526-1 libotr -- ヒープ由来のバッファオーバーフロー

報告日時:
2012-08-12
影響を受けるパッケージ:
libotr
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 684121.
Mitre の CVE 辞書: CVE-2012-3461.
詳細:

Just Ferguson さんは、オフ・ザ・レコード(OTR)メッセージングライブ ラリの libotr に base64 復号ルーチンで使われるヒープバッファを長さ0 で強引に割当てさせられることを発見しました。攻撃者は、libotr を使っ ているアプリケーションに細工したメッセージを送りつけることで、サ ービス拒否攻撃を実施する、あるいは潜在的には任意のコードを実行させる ために、この欠陥を利用することができます。

安定版 (stable) ディストリビューション (squeeze) では、この問題はバー ジョン 3.2.0-2+squeeze1 で修正されています。

テスト版ディストリビューション (wheezy) では、この問題はバージョン 3.2.1-1 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバー ジョン 3.2.1-1 で修正されています。

直ぐに libotr パッケージをアップグレードすることを勧めます